# bigquery_fdw documentation

## Foreign table creation and queries

 - [Installation and usage](../README.md#installation)
 - [Convert BigQuery data types to PostgreSQL data types](data_types.md)
 - [Supported operators](operators.md)
 - [Performance and understanding the FDW mechanism](performance_and_mechanism.md)

## Advanced usage

 - [Table partitioning](table_partitioning.md)
 - [Time zone conversion support](timezone.md)
 - [Remote grouping and counting](remote_grouping.md)
 - [Casting (convert column type to another type)](casting.md)

## BigQuery client

 - [Create a "Service account"](service_account.md)
 - [Test BigQuery client](test_client.md)

## Security

 - [Service Account recommended permissions](service_account_permissions.md)
 - [Private key storage recommendations](key_storage.md)

## Docker

 - [Get started with Docker](docker.md)